Bug 119975 - UI: Zooming in print preview scrolls pages
Summary: UI: Zooming in print preview scrolls pages
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Zoom-Issues Print-Preview
  Show dependency treegraph
 
Reported: 2018-09-19 09:00 UTC by Manuel Vögele
Modified: 2021-09-20 03:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Vögele 2018-09-19 09:00:09 UTC
Zoming in the print preview with Ctrl+Mouse Wheel can cause the preview to jump to a different page.

Steps to reproduce:
- Create a multi-page document
- Open the print preview
- Scroll to the last page
- Zoom in multiple steps by using Ctrl+Mouse Wheel (zooming just one step won't do)
- Zoom out one step by using Ctrl+Mouse Wheel
-> The preview will jump one page up (and also zoom out at the same time).
Comment 1 Thomas Lendo 2018-09-21 11:45:08 UTC
I can confirm this behavior.

STR:
1) Create a 3 page Writer document.
2) Open print preview.
3) Go to the last page.
4) Zoom and preview settings: single or multiple pages with full page view (e.g. 'fit width and height').
5) Zoom in with mouse wheel and scroll 2 times.
6) Scroll back 1 time.

Expected result:
Nothing than zoom level changes.

Actual result:
Zoom level changes as expected BUT also the view jumps to the previous page.

Reproduced with

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 18c5089df091bddeb8c2dc339776671964389040
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-12_23:24:12
Locale: de-AT (de_AT); Calc: CL

Version: 6.0.4.2 (x64)
Build-ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU-Threads: 8; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-AT (de_AT); Calc: group

In LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
I only could reproduce it in normal view with multiple pages activated but not in print preview.
Comment 2 QA Administrators 2021-09-20 03:39:51 UTC
Dear Manuel Vögele,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug